using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using xabaraCOM;

public partial class webXabara_frame_update : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        admin a = new admin();
        a.check("");

        if (!IsPostBack)
        {
            updateInfo.Text = "请耐心等待，直至完成升级提示成功后会自动刷新页面！";
        }
    }
    
    public void update()
    {
        xabara x = new xabara();
        updateInfo.Text = x.autoUpdate();
    }
}